<template>
	<view class="body">
		<image src="/static/payCentre/loading.gif" mode=""></image>
		<view>支付中</view>
	</view>
</template>

<script>
	import uniWeb from '@/utils/uni.webview.1.5.4.js'
	export default {
		data() {
			return {
				data:""
			}
		},
		onLoad(options) {
			if(options.orderNo){
				this.goto(options.orderNo)
			}
		},
		methods: {
			goto(orderNo) {
				try {
					uniWeb.webView.postMessage({
						data: {
							   action: 'pay',
							   orderNo:orderNo
						}
					})
				} catch (err) {
					console.log('err==>', err)
				}
			}
		}
	}
</script>

<style lang="scss" scoped>
	.body{
		text-align: center;
		padding-top: 300rpx;
		color: #303133;
		image{
			width: 200rpx;
			height: 200rpx;
		}
	}
</style>